Cantera 2.6.0

Classes | Namespaces | Functions | Variables
Elements.cpp File Reference

This file contains a database of atomic weights. More...

`#include "cantera/thermo/Elements.h"`
`#include "cantera/base/stringUtils.h"`
`#include "cantera/base/ctexceptions.h"`
Include dependency graph for Elements.cpp:

Go to the source code of this file.

## Classes
struct | atomicWeightData
struct | isotopeWeightData

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
double | getElementWeight (const std::string &ename)
| Get the atomic weight of an element. More...
double | getElementWeight (int atomicNumber)
| Get the atomic weight of an element. More...
string | getElementSymbol (const std::string &ename)
| Get the symbol for an element. More...
string | getElementSymbol (int atomicNumber)
| Get the symbol for an element. More...
string | getElementName (const std::string &ename)
| Get the name of an element. More...
string | getElementName (int atomicNumber)
| Get the name of an element. More...
int | getAtomicNumber (const std::string &ename)
| Get the atomic number for an element. More...
int | numElementsDefined ()
| Get the number of named elements defined in Cantera. More...
int | numIsotopesDefined ()
| Get the number of named isotopes defined in Cantera. More...

## Variables
static struct atomicWeightData | atomicWeightTable []
| atomicWeightTable is a vector containing the atomic weights database. More...
static struct isotopeWeightData | isotopeWeightTable []
| isotopeWeightTable is a vector containing the atomic weights database. More...

## Detailed Description

This file contains a database of atomic weights.

Definition in file Elements.cpp.